Page MenuHomePhabricator

Allow tiles1.wmflabs.org (or possibly entire eqiad-r?) access to osm postgres
Closed, ResolvedPublic

Description

It seems I'm not allowed to connect to the osm postgres database from maps-tiles1.wmflab.org. I suspect the config of postgres has not yet been updated to know about the new eqiad-r ip range ?

psql -h osmdb.eqiad.wmnet -U osm gis
psql: FATAL:  no pg_hba.conf entry for host "172.16.5.154", user "osm", database "gis", SSL off

Event Timeline

TheDJ triaged this task as Normal priority.Dec 24 2018, 4:04 PM
TheDJ created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 24 2018, 4:04 PM
Peachey88 updated the task description. (Show Details)Dec 25 2018, 12:39 AM

Change 481341 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[operations/puppet@production] wmcs: Add postgres maps users for eqiad1-r region

https://gerrit.wikimedia.org/r/481341

bd808 moved this task from Backlog to Maps on the Data-Services board.Jan 4 2019, 8:44 PM
Gehel moved this task from All map-related tasks to Tracking on the Maps board.Jan 8 2019, 4:08 PM

Change 481341 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] wmcs: Add postgres maps users for eqiad1-r region

https://gerrit.wikimedia.org/r/481341

Please @TheDJ try again.

@aborrero I can confirm access.

I still get a permission error in the renderer for SELECT ST_SRID("way") AS srid FROM planet_osm_polygon WHERE "way" IS NOT NULL LIMIT 1; but it seems it does that on the old servers as well.. Not sure what that means.

TheDJ closed this task as Resolved.Jan 14 2019, 10:28 PM
TheDJ claimed this task.

@aborrero I can confirm access.
I still get a permission error in the renderer for SELECT ST_SRID("way") AS srid FROM planet_osm_polygon WHERE "way" IS NOT NULL LIMIT 1; but it seems it does that on the old servers as well.. Not sure what that means.

I'm not sure, perhaps @akosiaris may have some advice.